babel-preset-es2015
    Overview
    Dependencies
    Versions
    Playground
    Code
    Documentation
    Issues
    Find an Expert
    Career Opportunities
    Alternatives
    Insights & Analysis

babel-preset-es2015

Babel preset for all es2015 plugins.

6.24.1  •  Published 2 years ago  •  by Sebastian McKenzie  •  MIT License

Babel preset for all es2015 plugins.

Install

npm install --save-dev babel-preset-es2015

Usage

Via .babelrc (Recommended)

.babelrc

{
  "presets": ["es2015"]
}

Via CLI

babel script.js --presets es2015

Via Node API

require("babel-core").transform("code", {
  presets: ["es2015"]
});

Options

loose

boolean, defaults to false.

Enable “loose” transformations for any plugins in this preset that allow them.

modules

"amd" | "umd" | "systemjs" | "commonjs" | false, defaults to "commonjs".

Enable transformation of ES6 module syntax to another module type.

Setting this to false will not transform modules.

spec

boolean, defaults to false.

Enable “spec” transformations for any plugins in this preset that allow them.

Keep your dependencies fresh!
Upgrade your packages safely and continuously.
We run your CI tests and compatability tests on new versions of your packages - to determine which upgrades are safe
Just $9/month per developer

Popularity

Weekly Downloads
1.1M

Issues and PRs

Activity

Last ver 2 years ago
Created 4 years ago
Last commit 1 second ago
1 second between commits

Sustainability

0 contributors

Technology

Node version: 6.9.0
0 unpacked

Legal and Compliance

MIT License
OSI Approved
0 vulnerabilities

Top Experts